Bug 1261341 - [meld] duplicate doc directories
[meld] duplicate doc directories
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 04:01 EDT by Joachim Frieben
Modified: 2017-04-16 15:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: meld-3.16.4-4.fc25 meld-3.17.1-4.fc26 meld-3.16.4-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-15 14:26:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2015-09-09 04:01:47 EDT
Description of problem:
In /usr/share/doc/ two directories - meld/ and meld-3.14.0/ - with identical content are present.

Version-Release number of selected component (if applicable):
meld-3.14.0-1.fc23

How reproducible:
Always

Steps to Reproduce:
1. Run 'ls -l /usr/share/doc/meld*'.

Actual results:
/usr/share/doc/meld:
total 68
-rw-r--r--. 1 root root 18092 Apr 11 00:03 COPYING
-rw-r--r--. 1 root root 46818 Jul 22 23:13 NEWS

/usr/share/doc/meld-3.14.0:
total 68
-rw-r--r--. 1 root root 18092 Apr 11 00:03 COPYING
-rw-r--r--. 1 root root 46818 Jul 22 23:13 NEWS

Expected results:
/usr/share/doc/meld:
total 68
-rw-r--r--. 1 root root 18092 Apr 11 00:03 COPYING
-rw-r--r--. 1 root root 46818 Jul 22 23:13 NEWS

Additional info:
Directory meld-3.14.0/ needs to be removed.
Comment 1 Joachim Frieben 2015-11-04 11:45:06 EST
Same issue for meld-3.15.0-1.fc24 of the Fedora development tree.
Comment 2 Joachim Frieben 2016-05-29 13:41:54 EDT
Same issue for meld-3.16.0-1.fc25 of the Fedora development (rawhide) tree.
Comment 3 Joachim Frieben 2016-07-09 01:56:40 EDT
This issue now affects all of Fedora 23, 24, and 25 (rawhide).
Comment 4 Jan Kurik 2016-07-26 00:14:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 5 Joachim Frieben 2016-07-31 12:20:02 EDT
Issue also affects the latest meld-3.16.2-1.fc25.
Comment 6 Joachim Frieben 2016-10-01 04:16:58 EDT
Issue is still present for meld-3.16.3-1.fc25. Moreover, the duplicate directory /usr/share/doc/meld-3.16.3 is -not- even owned by the package whereas its content is. Finally, the duplicate directory /usr/share/doc/meld-3.16.2 is -not- removed when upgrading to meld-3.16.3-1.fc25 whereas its content is:

$ more meld.txt 
$ ls -lR /usr/share/doc/meld*
/usr/share/doc/meld:
total 76
-rw-r--r--. 1 root root 18092 Sep  9 23:48 COPYING
-rw-r--r--. 1 root root 55296 Sep 25 23:15 NEWS

/usr/share/doc/meld-3.16.2:
total 0

/usr/share/doc/meld-3.16.3:
total 76
-rw-r--r--. 1 root root 18092 Sep  9 23:48 COPYING
-rw-r--r--. 1 root root 55296 Sep 25 23:15 NEWS

$ rpm -qf /usr/share/doc/meld*
meld-3.16.3-1.fc25.noarch
file /usr/share/doc/meld-3.16.2 is not owned by any package
file /usr/share/doc/meld-3.16.3 is not owned by any package

$ rpm -qf /usr/share/doc/meld*/*
meld-3.16.3-1.fc25.noarch
meld-3.16.3-1.fc25.noarch
meld-3.16.3-1.fc25.noarch
meld-3.16.3-1.fc25.noarch
Comment 7 Dominic Hopf 2016-12-19 08:02:29 EST
This is now fixed in Fedora Rawhide with the Meld Update to 3.17.0-2 there. Future updates will not have this issue anymore.
Comment 8 Joachim Frieben 2017-01-24 11:26:03 EST
The last (rawhide) build contains

    /usr/share/doc/meld-3.17.0/COPYING
    /usr/share/doc/meld-3.17.0/NEWS

when it should be

    /usr/share/doc/meld/COPYING
    /usr/share/doc/meld/NEWS

in agreement with Fedora packaging standards.

Moreover, the Fedora 25 package is still affected. Given the triviality of this packaging mistake, pushing a fixed build for Fedora 25 does not seem overly excessive, thanks.
Comment 9 Fedora Update System 2017-03-19 11:37:15 EDT
meld-3.16.4-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e736c47270
Comment 10 Fedora Update System 2017-03-19 11:37:23 EDT
meld-3.17.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-10911b41f5
Comment 11 Fedora Update System 2017-03-19 11:37:33 EDT
meld-3.16.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f3a7aa06e3
Comment 12 Fedora Update System 2017-03-20 02:49:12 EDT
meld-3.16.4-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e736c47270
Comment 13 Fedora Update System 2017-03-20 02:49:34 EDT
meld-3.16.4-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f3a7aa06e3
Comment 14 Fedora Update System 2017-03-20 23:21:35 EDT
meld-3.16.4-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-03-21 10:23:51 EDT
meld-3.17.1-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-10911b41f5
Comment 16 Christian Stadelmann 2017-03-22 07:54:31 EDT
Not fixed with meld 3.16.4 either.

meld still provides a /usr/share/doc/meld and a /usr/share/doc/meld-3.16.4 folder, and it doesn't even own the latter. See comment #8 for details.
Comment 17 Joachim Frieben 2017-03-22 10:56:24 EDT
(In reply to Christian Stadelmann from comment #16)
Installing (stable) meld-3.16.4.4.fc25 on a new system behaves correctly. I think you can hardly expect more: it does not account for "forgotten" directories or files which were installed but not owned by some broken precursor package. Thus, either you remove the empty directory /usr/share/doc/meld-3.x.y by hand or you just leave it as it is.
Comment 18 Christian Stadelmann 2017-03-22 18:07:06 EDT
(In reply to Joachim Frieben from comment #17)
> (In reply to Christian Stadelmann from comment #16)
> Installing (stable) meld-3.16.4.4.fc25 on a new system behaves correctly. I
> think you can hardly expect more: it does not account for "forgotten"
> directories or files which were installed but not owned by some broken
> precursor package. Thus, either you remove the empty directory
> /usr/share/doc/meld-3.x.y by hand or you just leave it as it is.

Understood and fix confirmed.

Steps to reproduce:
1. uninstall meld
2. no /usr/share/doc/meld* directories are left
3. install meld
4. only /usr/share/doc/meld is present, but /usr/share/doc/meld-3.16.4/ is not.

Thank you!
Comment 19 Fedora Update System 2017-04-15 14:26:51 EDT
meld-3.17.1-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2017-04-16 15:19:32 EDT
meld-3.16.4-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.